Skip to main content

CreateUserContentExport

A POST request that creates a new user content export. The endpoint is https://api.aware.work/external/search/v1/user-content-exports.

Access​

To access this operation, your API token must have one of the following permissions:

For more information, see the API token documentation.

Request Format​

Parameters​

Only the userEmail parameter is required. However, providing additional parameters can assist you in selecting the data you're looking for more easily and efficiently than collecting all data for a single email at once. It may also be necessary for a request to complete successfully, if a single email has a large amount of content associated with it.

Note:

  • If contentStartTime is not provided, content has no restriction in terms of a start time
  • If contentEndTime is not provided, content has no restriction in terms of an end time
  • If exportFormat is not provided, the export will be provided in a JSON format (the only format available at this time)

The following is the full object:

{
"userEmail": "john.doe@example.com",
"contentStartTime": "2024-02-15T00:00:00",
"contentEndTime": "2024-02-16T23:59:59",
"exportFormat": "JSON"
}

Query​

Below is the request in its most basic form.

curl -X POST --location "https://api.aware.work/external/search/v1/user-content-exports" \
-H "x-aware-api-key: ${API_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"userEmail": "john.doe@example.com"
}'

Response Format​

If your request was successfully executed, the endpoint will return an HTTP 200 status and a response similar to the one below:

{
"exportId": "a1359bab-7c9b-cf58-d5aa-f853779868a9",
"exportCriteria": {
"exportUserEmail": "john.doe@example.com",
"exportFormat": "Json"
},
"exportStatus": "Processing",
"exportStartedTime": "2024-03-11T19:46:25.395707",
"exportCompletedTime": null,
"exportFileParts": []
}